@charset "UTF-8";

.login.mypage.loginBtn.flex img {
  width: 51px;
  border-radius: 999px;
}

header .mypage,
header .linkG p.login {
  flex-direction: column;
  gap: 1rem;
  padding-top: 1vw;
  cursor: pointer;
}

header .linkG {
  position: relative;
  display: flex;
  justify-content: center;
}

header .mypage {
  align-items: center;
}

header .mypage p {
  margin: 0 1rem;
  font-size: 1.04167vw;
  font-weight: 500;
  line-height: 1;
  text-align: left;
}

header .mypage p span {
  font-size: 85%;
  color: #000000;
}

header .mypage img {
  vertical-align: middle;
}

header .mypage img:first-child {
  position: relative;
  top: 0.5rem;
}

header .mypage img.openBT {
  width: 15px;
  height: 12px;
}

header .mypage.down::after {
  transform: scale(1, -1);
}

header nav {
  text-align: center;
}

.mypage-list,
.mypage-list_nav {
  position: absolute;
  top: 11rem;
  right: 0;
  z-index: 10;
  display: none;
  width: 22rem;
  margin: 0 auto;
  font-size: 1.6rem;
  background: #fff;
}

.mypage-item {
  width: 84%;
  margin: 0 auto;
  border-bottom: 1px dashed #000000;
}

.mypage-item:last-child {
  border-bottom: none;
}

.mypage-item a {
  display: block;
  padding: 1vw 0;
  font-size: 1.6rem;
  font-weight: 400;
  color: #000000;
  letter-spacing: 0.05em;
}

.mypage-list-sp {
  position: absolute;
  top: 5rem;
  right: 0;
  z-index: 10;
  display: none;
  width: 100%;
  margin: 0 auto;
  font-size: 1.4rem;
  text-align: center;
  background: rgba(255, 255, 255, 0.8);
}

.mypage-item-sp {
  width: 84%;
  padding: 10px;
  margin: 0 auto;
  border-bottom: 1px dashed #5a5a5a;
}

.mypage-item-sp:last-child {
  border-bottom: none;
}

.mypage-item-sp a {
  display: block;
  padding: 1vw 0;
  color: #000;
}

.mypage-item-sp a i {
  color: #000;
}

@media screen and (max-width: 1280px) {
  header .mypage p {
    font-size: 1.2rem;
  }
}

@media screen and (max-width: 1024px) {
  header .mypage {
    width: 100%;
    margin-bottom: 1rem;
  }

  .mypage-list,
  .mypage-list_nav {
    top: 5rem;
    right: 0;
  }
}

@media screen and (max-width: 768px) {
  header .mypage.login {
    width: 150px;
  }

  header .mypage p {
    padding: 13px 0;
  }
  header .mypage ::before {}

  .sp-nav-list :first-child {
    margin-top: 20px;
  }

  .nav-container {
    position: relative;
    width: 100%;
  }

  .mypage-list,
  .mypage-list_nav {
    position: absolute;
    top: inherit;
    right: 0;
    bottom: 7.6rem;
    left: inherit;
    display: none;
    width: 100%;
    margin: 0 auto;
    background-color: #fff;
  }

  .sp-nav header.open .mypage-list .mypage-item a,
  .sp-nav header.open .mypage-list_nav .mypage-item a {
    display: block;
    width: 100%;
    height: auto;
    margin-bottom: 0;
    color: #5a5a5a;
  }

  .sp-nav header.open .mypage-list .mypage-item,
  .sp-nav header.open .mypage-list_nav .mypage-item {
    width: 80%;
    padding-bottom: 20px;
    margin: 0 auto;
    margin-top: 20px;
    border-bottom: 1px dashed #5a5a5a;
  }

  .sp-nav header.open .mypage-list :last-child,
  .sp-nav header.open .mypage-list_nav :last-child {
    border-bottom: none;
  }

  .mypage-list :first-child,
  .mypage-list_nav :first-child {
    margin-top: 10px;
  }
}

@media screen and (max-width: 559px) {
  .mypage.login.loginBtn.flex.sp {
    display: flex;
    width: 100%;
  }

  header .mypage {
    flex-direction: row;
    align-items: center;
    margin-bottom: 3rem;
    border-bottom: solid 1px #323232;
  }

  header .mypage img:first-child {
    top: -0.1rem;
  }

  header .mypage p {
    font-size: 1.8rem;
    line-height: 1.25;
    color: #5a5a5a;
    letter-spacing: 0.05em;
  }

  header .mypage p.name + p {
    margin: 0;
  }

  .drawer-open .drawer-nav .mypage-list,
  .drawer-open .drawer-nav .mypage-list_nav {
    padding: 0 2.5rem 3rem;
  }

  .drawer-open .drawer-nav .mypage-item {
    padding: 0;
    border-bottom: 1px dashed #fff;
  }

  .drawer-open .drawer-nav .mypage-list,
  .drawer-open .drawer-nav .mypage-list_nav {
    top: 21.5rem;
    right: inherit;
    bottom: inherit;
    left: 2.5rem;
    width: 25rem;
    background: #000000;
  }

  .drawer-open .drawer-nav li.mypage-item a {
    font-size: 1.6rem;
    color: #fff;
  }
}
